# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.parfor.opt.OptNode.NodeType

Packages that use OptNode.NodeType
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt

## Uses of OptNode.NodeType in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt that return OptNode.NodeType
Modifier and Type
Method
Description
`OptNode.NodeType`
OptNode.`getNodeType()`
`static OptNode.NodeType`
OptNode.NodeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OptNode.NodeType[]`
OptNode.NodeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode.NodeType
Modifier and Type
Method
Description
`boolean`
OptNode.`isNodeType(OptNode.NodeType... types)`
`void`
OptNode.`setNodeType(OptNode.NodeType type)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type OptNode.NodeType
Modifier
Constructor
Description
``
`OptNode(OptNode.NodeType type)`
``
`OptNode(OptNode.NodeType ntype, OptNode.ExecType etype)`